package me.unurled.sacredrealms.sr.components.cutscene;

import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public record PlayerOrigin(
    Location location,
    boolean allowFlight,
    boolean flying,
    float walkSpeed,
    float flySpeed,
    GameMode gameMode) {
  public static void restore(@NotNull PlayerOrigin origin, @NotNull Player p) {
    p.teleport(origin.location());
    p.setAllowFlight(origin.allowFlight());
    p.setFlying(origin.flying());
    p.setWalkSpeed(origin.walkSpeed());
    p.setFlySpeed(origin.flySpeed());
    p.setGameMode(origin.gameMode());
  }
}
