package me.unurled.sacredrealms.sr.components.pack.hosts;

import java.io.File;
import java.util.UUID;

public interface HostingProvider {

  boolean uploadPack(File resourcePack) throws InterruptedException;

  String getPackURL();

  void setPackURL(String packURL);

  String getMinecraftPackURL();

  void setMinecraftPackURL(String minecraftPackURL);

  byte[] getSHA1();

  void setSHA1(byte[] sha1);

  String getOriginalSHA1();

  void setOriginalSHA1(String originalSHA1);

  UUID getPackUUID();

  void setPackUUID(UUID packUUID);
}
