package me.unurled.sacredrealms.sr.utils;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.logger.slf4j.ComponentLogger;

public class Logger {

  private static final java.util.logging.Logger logger = java.util.logging.Logger.getLogger("SR");
  private static final ComponentLogger componentLogger = ComponentLogger.logger("SR");

  private Logger() {}

  public static void log(String message) {
    logger.info(message);
  }

  public static void warn(String message) {
    logger.warning(message);
  }

  public static void error(String message) {
    logger.severe(message);
  }

  public static void log(Component message) {
    componentLogger.info(message);
  }

  public static void warn(Component message) {
    componentLogger.warn(message);
  }

  public static void error(Component message) {
    componentLogger.error(message);
  }
}
