package me.unurled.sacredrealms.sr.components.cutscene;

import java.util.List;
import org.bukkit.Location;
import org.bukkit.block.data.BlockData;
import org.bukkit.entity.Entity;

public enum Action {
  IDLE(),
  MOVE(Location.class),
  TELEPORT(Location.class),
  SPAWN(Location.class),
  DESPAWN(),
  HIT(Entity.class),
  SNEAK(),
  JUMP(),
  PLACE(Location.class, BlockData.class),
  INTERACT(Location.class, org.bukkit.event.block.Action.class),
  BREAK(Location.class);

  private final List<Class> types;

  Action(Class... types) {
    this.types = List.of(types);
  }
}
